package cn.org.bjca.trust.push.message.bean

import cn.org.bjca.trust.push.common.LogHelper
import cn.org.bjca.trust.push.enums.MsgType
import cn.org.bjca.trust.push.message.msg.Message
import cn.org.bjca.trust.push.message.msg.SendMessage
import org.json.JSONException
import org.json.JSONObject

class FileMessage : Message() {
    var fileStorageId: String? = null
    var fileName: String? = null
    var fileSize: Long? = null

    init {
        this.msgType = MsgType.File
    }

    override fun parse(type: MsgType, sendMessage: SendMessage) {
        super.parse(type, sendMessage)
        try {
            val json = sendMessage.message?.let { JSONObject(it) }
            if (json != null) {
                this.fileStorageId = json.optString("fileStorageId")
                this.fileName = json.optString("fileName")
                this.fileSize = json.optLong("fileSize")
            }
        } catch (e: Exception) {
            LogHelper.e("消息组装失败", e)
        }
    }

    override fun createContentJsonStr(): String {

        val json = JSONObject()
        try {
            json.put("fileStorageId", this.fileStorageId)
            json.put("fileName", this.fileName)
            json.put("fileSize", this.fileSize)
        } catch (e: JSONException) {
            LogHelper.e("消息组装失败", e)
        }
        return json.toString()
    }
}